org.apache.tools.ant.taskdefs.optional.splash

## Class SplashTask

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.tools.ant.taskdefs.optional.splash.SplashTask

All Implemented Interfaces:
  java.lang.Cloneable

    public class SplashTask
    extends Task

Creates a splash screen. The splash screen is displayed for the duration of the build and includes a handy progress bar as well. Use in conjunction with the sound task to provide interest whilst waiting for your builds to complete...

Since:
  Ant1.5

### Field Summary

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
Constructor and Description
`SplashTask()`

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `execute()` Execute the task.
`void` `setDisplayText(java.lang.String displayText)` Sets the display text presented in the splash window.
`void` `setImageURL(java.lang.String imgurl)` A URL pointing to an image to display; optional, default antlogo.gif from the classpath.
`void` `setPassword(java.lang.String password)` Deprecated. since 1.5.x. Use org.apache.tools.ant.taskdefs.optional.net.SetProxy
`void` `setPort(java.lang.String port)` Deprecated. since 1.5.x. Use org.apache.tools.ant.taskdefs.optional.net.SetProxy
`void` `setProgressRegExp(java.lang.String progressRegExp)` Progress regular expression which is used to parse the output and dig out current progress optional; if not provided, progress is increased every action and log output line
`void` `setProxy(java.lang.String proxy)` Deprecated. since 1.5.x. Use org.apache.tools.ant.taskdefs.optional.net.SetProxy
`void` `setShowduration(int duration)` how long to show the splash screen in milliseconds, optional; default 5000 ms.
`void` `setUseproxy(boolean useProxy)` Deprecated. since 1.5.x. Use org.apache.tools.ant.taskdefs.optional.net.SetProxy
`void` `setUser(java.lang.String user)` Deprecated. since 1.5.x. Use org.apache.tools.ant.taskdefs.optional.net.SetProxy

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SplashTask

    public SplashTask()

### Method Detail

#### setImageURL

    public void setImageURL(java.lang.String imgurl)

A URL pointing to an image to display; optional, default antlogo.gif from the classpath.

Parameters:
  `imgurl` - the url string pointing to the image

#### setUseproxy

    @Deprecated
    public void setUseproxy(boolean useProxy)

Deprecated. since 1.5.x. Use org.apache.tools.ant.taskdefs.optional.net.SetProxy
flag to enable proxy settings; optional, deprecated : consider using <setproxy> instead

Parameters:
  `useProxy` - if ture, enable proxy settings

#### setProxy

    @Deprecated
    public void setProxy(java.lang.String proxy)

Deprecated. since 1.5.x. Use org.apache.tools.ant.taskdefs.optional.net.SetProxy
name of proxy; optional.

Parameters:
  `proxy` - the name of the proxy host

#### setPort

    @Deprecated
    public void setPort(java.lang.String port)

Deprecated. since 1.5.x. Use org.apache.tools.ant.taskdefs.optional.net.SetProxy
Proxy port; optional, default 80.

Parameters:
  `port` - the proxy port

#### setUser

    @Deprecated
    public void setUser(java.lang.String user)

Deprecated. since 1.5.x. Use org.apache.tools.ant.taskdefs.optional.net.SetProxy
Proxy user; optional, default =none.

Parameters:
  `user` - the proxy user

#### setPassword

    @Deprecated
    public void setPassword(java.lang.String password)

Deprecated. since 1.5.x. Use org.apache.tools.ant.taskdefs.optional.net.SetProxy
Proxy password; required if `user` is set.

Parameters:
  `password` - the proxy password

#### setShowduration

    public void setShowduration(int duration)

how long to show the splash screen in milliseconds, optional; default 5000 ms.

Parameters:
  `duration` - the splash duration in milliseconds

#### setProgressRegExp

    public void setProgressRegExp(java.lang.String progressRegExp)

Progress regular expression which is used to parse the output and dig out current progress optional; if not provided, progress is increased every action and log output line

Parameters:
  `progressRegExp` - Progress regular expression, exactly one group pattern must exists, and it represents the progress number (0-100) (i.e "Progress: (.*)%")
Since:
  Ant 1.8.0

#### setDisplayText

    public void setDisplayText(java.lang.String displayText)

Sets the display text presented in the splash window. optional; defaults to "Building ..."

Parameters:
  `displayText` - the display text presented the splash window
Since:
  Ant 1.8.0

#### execute

    public void execute()
                 throws BuildException

Execute the task.

Overrides:
  `execute` in class `Task`
Throws:
  `BuildException` - on error